Subject: Re: FW: + qla3xxx-is-bust.patch added to -mm tree

From: Jeff Garzik <[email-masked]>
Date: Wed, 28 Jun 2006 21:37:47 -0400

Ron Mercer wrote:
>> Is the device hotpluggable?   If so, this:
>>
>> 	qdev->index = cards_found;
>>
>> in the probe() handler might do odd things - it'll just keep 
>> increasing as the card is removed and re-added.
>>
>> iirc, that's a common problem with net drivers.  AFAICT it'll 
>> cause only cosmetic oddities here.
>>
>>
> 
> Not sure if the device supports hotplug.  I'm looking into it.  Either

If its a PCI device, it does...  depends more on the bus than the device.

> way, I will be removing qdev->index.  It's not needed. 

Sounds good.

> I am working on the remaining items that Jeff pointed out when he
> reviewed my driver.  I will forward a patch built against what you
> currently have when I'm done.
> 
> Now that the driver is in mm tree, is there anything I need to do to get
> it into Linus' tree?

Fix the stuff I pointed out...

	Jeff